Package twisted :: Package mail :: Module protocols :: Class DomainSMTP

[frames | no frames]

## Class DomainSMTP

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
            TimeoutMixin --+
                           |
                        SMTP --+
                               |
      DomainDeliveryBase --+   |
                           |   |
          SMTPDomainDelivery --+
                               |
                              DomainSMTP

Method Summary
| `__init__(self, *args, **kw)`
Inherited from DomainDeliveryBase
| ``receivedHeader`(self, helo, origin, recipients)`
| ``startMessage`(self, users)`
| ``validateFrom`(self, helo, origin)`
| ``validateTo`(self, user)`
Inherited from SMTP
| ``_cbAuthenticated`(self, (iface, avatar, logout))`
| ``_cbFromValidate`(self, from_, code, msg)`
| ``_cbToValidate`(self, to, user, code, msg)`
| ``_ebAuthenticated`(self, reason)`
| ``_ebFromValidate`(self, failure)`
| ``_ebToValidate`(self, failure)`
| ``_messageHandled`(self, _)`
| ``_messageNotHandled`(self, failure)`
| ``connectionLost`(self, reason)`
| ``connectionMade`(self)` Called when a connection is made.
| ``dataLineReceived`(self, line)`
| ``do_DATA`(self, rest)`
| ``do_HELO`(self, rest)`
| ``do_MAIL`(self, rest)`
| ``do_QUIT`(self, rest)`
| ``do_RCPT`(self, rest)`
| ``do_RSET`(self, rest)`
| ``do_UNKNOWN`(self, rest)`
| ``greeting`(self)`
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached.
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``lookupMethod`(self, command)`
| ``rawDataReceived`(self, data)` Throw away rest of long line
| ``sendCode`(self, code, message)` Send an SMTP code with a message.
| ``sendSyntaxError`(self)`
| ``state_COMMAND`(self, line)`
| ``state_DATA`(self, line)`
| ``timeoutConnection`(self)` Called when the connection times out.
Inherited from LineReceiver
| ``clearLineBuffer`(self)` Clear buffered data.
| ``dataReceived`(self, data)` Protocol.dataReceived.
| ``sendLine`(self, line)` Sends a line to the other end of the connection.
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver.
| ``setRawMode`(self)` Sets the raw mode of this receiver.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
Inherited from TimeoutMixin
| ``resetTimeout`(self)` Reset the timeout count down
| ``setTimeout`(self, period)` Change the timeout period

Class Variable Summary
`NoneType` | `service` = None
`NoneType` | `user` = None
Inherited from SMTPDomainDelivery
`str` | `protocolName` = `'smtp'`
Inherited from DomainDeliveryBase
`tuple` | `__implements__` = `(<class twisted.protocols.smtp.IMessage...`
Inherited from SMTP
`NoneType` | `_onLogout` = None
`NoneType` | `delivery` = None
`NoneType` | `deliveryFactory` = None
`str` | `host` = `'twistedmatrix.com'`
`SRE_Pattern` | `mail_re` = `\s*FROM:\s*(<>|<("[^"]*"|\\.|[-A-Za-z0-9!#\$%&...`
`NoneType` | `portal` = None
`str` | `qstring` = `'("[^"]*"|\\\\.|[-A-Za-z0-9!\\#$%&\'*+/=?^_`{|...`
`SRE_Pattern` | `rcpt_re` = `\s*TO:\s*(<("[^"]*"|\\.|[-A-Za-z0-9!#\$%&'\*\+...`
`int` | `timeout` = 600
Inherited from LineReceiver
`str` | `_LineReceiver__buffer` = `''`
`str` | `delimiter`: The line-ending delimiter to use.
`int` | `line_mode` = 1
`int` | `MAX_LENGTH`: The maximum length of a line to allow (If a sent line is longer than this, the connection is dropped).
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None
Inherited from TimeoutMixin
`NoneType` | `_TimeoutMixin__lastReceived` = None
`NoneType` | `_TimeoutMixin__timeoutCall` = None
`NoneType` | `timeOut`: The number of seconds after which to timeout the connection.

Class Variable Details

### service

  Type:
    `NoneType`
  Value:

        None

### user

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:27 2004 | http://epydoc.sf.net